%define snap 20050427

Summary:	Additional addons for Asterisk
Name:		asterisk-addons
Version:	1.0.8
Release:	%mkrel 0.%{snap}.1
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source:		ftp://ftp.asterisk.org/pub/asterisk/%{name}-%{version}-%{snap}.tar.bz2
Patch0:		asterisk-addons-1.0.8-20050427-mdk.diff.bz2
BuildRequires:	asterisk-devel
BuildRequires:	MySQL-devel
BuildRequires:	file
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Asterisk is a complete PBX in software. It runs on Linux and
provides all of the features you would expect from a PBX and more.
Asterisk does voice over IP in three protocols, and can
interoperate with almost all standards-based telephony equipment
using relatively inexpensive hardware. This package contains
additional addons for asterisk.

%prep

%setup -q -n %{name}-%{version}-%{snap}
%patch0 -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
find . -type f | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

%build

%make \
    CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE -I%{_includedir}/mysql"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

%makeinstall \
    INSTALL_PREFIX="%{buildroot}" \
    MODULES_DIR="%{buildroot}%{_libdir}/asterisk"

install -m0755 format_mp3/format_mp3.so %{buildroot}%{_libdir}/asterisk/
install -m0644 configs/cdr_mysql.conf.sample %{buildroot}%{_sysconfdir}/asterisk/cdr_mysql.conf
install -m0644 configs/res_mysql.conf.sample %{buildroot}%{_sysconfdir}/asterisk/res_mysql.conf

# fix docs
cp format_mp3/MPGLIB_README MPGLIB_README.format_mp3
cp format_mp3/MPGLIB_TODO MPGLIB_TODO.format_mp3
cp format_mp3/README README.format_mp3

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/cdr_mysql.txt
%doc README MPGLIB_README.format_mp3 MPGLIB_TODO.format_mp3 README.format_mp3
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_mysql.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/res_mysql.conf
%attr(0755,root,root) %{_libdir}/asterisk/format_mp3.so
%attr(0755,root,root) %{_libdir}/asterisk/app_addon_sql_mysql.so
%attr(0755,root,root) %{_libdir}/asterisk/app_saycountpl.so
%attr(0755,root,root) %{_libdir}/asterisk/cdr_addon_mysql.so
%attr(0755,root,root) %{_libdir}/asterisk/res_config_mysql.so

%changelog
* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050427.1mdk
- initial package
